﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Survey
    {
        public Survey()
        {
            SurveyQuestions = new HashSet<SurveyQuestion>();
            SurveyResponses = new HashSet<SurveyResponse>();
        }
        public int Id { get; set; }
        public string Name { get; set; }
        public bool IsGlobal { get; set; }

        public SectionItem SectionItem { get; set; }
        public Tenant Tenant { get; set; }

        public ICollection<SurveyQuestion> SurveyQuestions { get; set; }
        public ICollection<SurveyResponse> SurveyResponses { get; set; }
    }
}
